import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataNullDataSourceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly hasComputedDefault?: string;
    /**
     *
     */
    readonly inputs?: {
        [key: string]: string;
    };
}
/**
 *
 */
export declare class DataNullDataSource extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataNullDataSourceConfig);
    private _hasComputedDefault?;
    /**
     *
     */
    get hasComputedDefault(): string | undefined;
    /**
     *
     */
    set hasComputedDefault(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _inputs?;
    /**
     *
     */
    get inputs(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set inputs(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    outputs(key: string): string;
    /**
     *
     */
    get random(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
