import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ResourceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly triggers?: {
        [key: string]: string;
    };
}
/**
 *
 */
export declare class Resource extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: ResourceConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _triggers?;
    /**
     *
     */
    get triggers(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set triggers(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
